%define upstream_name    Dist-Zilla-PluginBundle-Author-JQUELIN
%define upstream_version 3.005

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Build & release a distribution like jquelin
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Role::PluginBundle)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Config::Slicer)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(Test::More)
BuildRequires: perl(blib) >= 1.10.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

Obsoletes:  perl-Dist-Zilla-PluginBundle-JQUELIN
Provides:   perl-Dist-Zilla-PluginBundle-JQUELIN

%description
This is a plugin bundle to load all dist-zilla plugins that jq is using.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 3.5.0-5.mga9
+ Revision: 1803108
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 3.5.0-4.mga8
+ Revision: 1494147
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 3.5.0-3.mga7
+ Revision: 1267300
- Mageia 7 Mass Rebuild
- Mageia 6 Mass Rebuild

* Fri Dec 11 2015 jquelin <jquelin> 3.5.0-1.mga6
+ Revision: 909459
- update to 3.005

* Wed Oct 15 2014 umeabot <umeabot> 3.3.0-3.mga5
+ Revision: 742669
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Feb 24 2014 jquelin <jquelin> 3.3.0-1.mga5
+ Revision: 596483
- update to 3.003

* Fri Oct 18 2013 umeabot <umeabot> 3.2.0-3.mga4
+ Revision: 511239
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 3.2.0-2.mga3
+ Revision: 366562
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 09 2012 jquelin <jquelin> 3.2.0-1.mga3
+ Revision: 303871
- update to 3.002

* Tue Oct 09 2012 jquelin <jquelin> 3.1.0-1.mga3
+ Revision: 303861
- update to 3.001

* Tue Jun 05 2012 jquelin <jquelin> 2.120.971-1.mga3
+ Revision: 254930
- update to 2.120971

* Fri Apr 06 2012 jquelin <jquelin> 2.120.970-2.mga2
+ Revision: 228909
- adding obsoletes for @JQUELIN

* Fri Apr 06 2012 jquelin <jquelin> 2.120.970-1.mga2
+ Revision: 228900
- update to 2.120970
- dist renamed upstream
- update to 1.111710

* Mon Mar 14 2011 jquelin <jquelin> 1.110.730-1.mga1
+ Revision: 70961
- update to 1.110730

* Fri Mar 11 2011 jquelin <jquelin> 1.110.700-1.mga1
+ Revision: 68305
- update to 1.110700

* Thu Feb 24 2011 jquelin <jquelin> 1.110.10-1.mga1
+ Revision: 58872
- update to 1.110010

* Thu Jan 27 2011 jquelin <jquelin> 1.101.620-1.mga1
+ Revision: 41808
- adding missing buildrquires:
- mageia rebuild
- imported package perl-Dist-Zilla-PluginBundle-JQUELIN

